corelinux::Limits Class Reference

Limits is to provide information regarding CoreLinux++ scalar types. More...

`#include <Limits.hpp>`

## Public Types

enum | CharLimits { CHARBITS = 8, CHARMIN = -128, CHARMAX = 127 }
enum | ByteLimits { BYTEBITS = 8, BYTEMIN = 0, BYTEMAX = 255 }
enum | ShortLimits { SHORTBITS = 16, SHORTMIN = (-32768), SHORTMAX = 32767 }
enum | WordLimits { WORDBITS = 16, WORDMIN = 0, WORDMAX = 65535 }
enum | LongLimits { LONGBITS = 32, LONGMIN = (-2147483647 - 1), LONGMAX = 2147483647 }
enum | DwordLimits { DWORDBITS = 32, DWORDMIN = 0, DWORDMAX = -1 }
enum | SizeLimits { SIZEBITS = DWORDBITS, SIZEMIN = DWORDMIN, SIZEMAX = DWORDMAX }
enum | IndexLimits { INDEXBITS = DWORDBITS, INDEXMIN = DWORDMIN, INDEXMAX = DWORDMAX }
enum | CounterLimits { COUNTERBITS = LONGBITS, COUNTERMIN = LONGMIN, COUNTERMAX = LONGMAX }
enum | IdLimits { IDBITS = WORDBITS, IDMIN = WORDMIN, IDMAX = WORDMAX }

## Static Public Attributes

static Word | RealBits
static Word | RealPrecision
static Real | RealMin
static Real | RealMax
static Real | RealEpsilon

## Detailed Description

Limits is to provide information regarding CoreLinux++ scalar types.

The documentation for this class was generated from the following file:

- Limits.hpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium